000017647 - FIM - FIM 4.2 SP1 cannot be used with Tomcat 7 windows service installtion version

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000017647
Applies ToRSA Federated Identity Management (FIM) version 4.2 SP1
Apache TOMCAT 7 for Windows.
Issue FIM 4.2  SP1 cannot be used with Tomcat 7 windows service installation version
Deployment script fails to run.
Cause

Currently FIM invokes the scripts (catalina.bat/sh or startup.bat/sh etc..) available in the TOMCAT zip version for starting the FIM instance which are not available in the TOMCAT Windows Installer hence the deployment/startup scripts may not work for the installer version.

Cannot use the TOMCAT 7 windows service installer found here
Downloads (http://tomcat.apache.org/download-70.cgi) link

?Core:
?zip (pgp, md5)
?tar.gz (pgp, md5)
?32-bit Windows zip (pgp, md5)
?64-bit Windows zip (pgp, md5)
?64-bit Itanium Windows zip (pgp, md5)
?32-bit/64-bit Windows Service Installer (pgp, md5)

ResolutionUse the windows.zip version of the TOMCAT 7 installer.
NotesNOTE:- The reason zip version is used rather than the Installer version is because in zip version all TOMCAT scripts are available across platforms and FIM needed support on multiple platforms.
Legacy Article IDa67063

Attachments

    Outcomes